local NewPart = Instance.new("Part")
NewPart.Position = Vector3.new(0,5,0) --Position of the part
--[[
NewPart Blah blah blah.. size, anchored, transperancy, and more!
examples are
NewPart.Anchored = true
NewPart.Size = Vector3.new(10,1,10)
NewPart.Color = Color3.fromRGB(109,232,246) range is 0-255
--]]
NewPart.Parent = workspace --THIS IS SUPER IMPORTANT.
local BuildPart = Instance.new("Part",game.Workspace) --Directory of The Part
BuildPart.Size = Vector3.new(50,50,50) --The Size of the Part
BuildPart.Position = Vector3.new(-37, -0.5, -90) --The Position of The Part
BuildPart.Anchored = true --Anchores The Part